/** @format */

import request from "@/utils/request";

// 查询卡片申请条件公告列表
export function listAnnouncement(query) {
  return request({
    url: "/card/announcement/list",
    method: "get",
    params: query,
  });
}

// 查询卡片申请条件公告详细
export function getAnnouncement(id) {
  return request({
    url: "/card/announcement/" + id,
    method: "get",
  });
}

// 新增卡片申请条件公告
export function addAnnouncement(data) {
  return request({
    url: "/card/announcement",
    method: "post",
    data: data,
  });
}

// 修改卡片申请条件公告
export function updateAnnouncement(data) {
  return request({
    url: "/card/announcement",
    method: "put",
    data: data,
  });
}

// 删除卡片申请条件公告
export function delAnnouncement(id) {
  return request({
    url: "/card/announcement/" + id,
    method: "delete",
  });
}
